<%@page isErrorPage="false" errorPage="/jsp/internal/errorpage.jsp" %>
<%@taglib uri="/jsp/sap.ur.tld" prefix="page" %>
<%@include file="/jsp/internal/init.jsp" %>

<page:setResourceBundle name="previewtexts" />

<page:render>
      <ur:singleColumnLayout ur:id="scol">
        <ur:singleColumnLayoutCell method="addCells" ur:id="scol_cell1">
          <ur:textView method="setContent" ur:design="HEADER2" ur:text="Tabstrip Sample"/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells" ur:id="scol_cell2">
          <ur:horizontalDivider method="setContent" ur:id="hdiv1"/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells" ur:id="scol_cell2a">
          <ur:textView method="setContent" ur:id="tvDescription"/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells" ur:id="scol_cell2b">
          <ur:horizontalDivider method="setContent" ur:id="hdiv2"/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells" ur:id="scol_cell3">
          <ur:tabStrip method="setContent">
            <ur:tabStripItem method="addItems" ur:caption="Products">
              <ur:button method="setContent" ur:text="Save Changes" ur:design="EMPHASIZED"/>
            </ur:tabStripItem>
            <ur:tabStripItem method="addItems" ur:caption="Activities" ur:index="1" ur:hasToolbar="true">
              <ur:toolbar method="setToolbar">
                <ur:toolbarButton method="addItems" ur:hasShowAlwaysState="false" ur:text="Open Log"/>
                <ur:toolbarSeparator method="addItems" ur:hasShowAlwaysState="false"/>
                <ur:toolbarButton method="addItems" ur:hasShowAlwaysState="false" ur:text="Delete Log"/>
              </ur:toolbar>
            </ur:tabStripItem>
            <ur:tabStripItem method="addItems" ur:caption="Sales Team" ur:index="2">
              <ur:flowLayout method="setContent">
                <ur:flowLayoutItem method="addFlowLayoutItems">
                  <ur:label method="setControl" ur:text="Manager"/>
                </ur:flowLayoutItem>
                <ur:flowLayoutItem method="addFlowLayoutItems">
                  <ur:inputField method="setControl"/>
                </ur:flowLayoutItem>
              </ur:flowLayout>
            </ur:tabStripItem>
            <ur:tabStripItem method="addItems" ur:caption="Partner" ur:index="3">
              <ur:button method="setContent" ur:text="New Partner" ur:design="EMPHASIZED"/>
            </ur:tabStripItem>
            <ur:tabStripItem method="addItems" ur:caption="Competitors" ur:hasContentPadding="false" ur:index="4" ur:enabled="false"/>
            <ur:tabStripItem method="addItems" ur:caption="Notes" ur:index="5">
              <ur:button method="setContent" ur:text="Organize Notes" ur:design="EMPHASIZED"/>
            </ur:tabStripItem>
            <ur:tabStripItem method="addItems" ur:caption="Attachments" ur:index="6">
              <ur:button method="setContent" ur:text="Add" ur:design="EMPHASIZED"/>
            </ur:tabStripItem>
          </ur:tabStrip>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells" ur:id="scol_cell4">
          <ur:horizontalDivider method="setContent" ur:id="hdiv1"/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells" ur:id="scol_cell2a">
          <ur:textView method="setContent" ur:id="tvDescription"/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells" ur:id="scol_cell4">
          <ur:horizontalDivider method="setContent" ur:id="hdiv1"/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells" ur:id="scol_cell5">
          <ur:tabStrip method="setContent">
            <ur:tabStripItem method="addItems" ur:caption="Products">
              <ur:button method="setContent" ur:design="EMPHASIZED" ur:text="Save Changes"/>
            </ur:tabStripItem>
            <ur:tabStripItem method="addItems" ur:caption="Activities" ur:hasToolbar="true" ur:index="1">
              <ur:toolbar method="setToolbar">
                <ur:toolbarButton method="addItems" ur:hasShowAlwaysState="false" ur:text="Open Log"/>
                <ur:toolbarSeparator method="addItems" ur:hasShowAlwaysState="false"/>
                <ur:toolbarButton method="addItems" ur:hasShowAlwaysState="false" ur:text="Delete Log"/>
              </ur:toolbar>
            </ur:tabStripItem>
            <ur:tabStripItem method="addItems" ur:caption="Sales Team" ur:index="2">
              <ur:flowLayout method="setContent">
                <ur:flowLayoutItem method="addFlowLayoutItems">
                  <ur:label method="setControl" ur:text="Manager"/>
                </ur:flowLayoutItem>
                <ur:flowLayoutItem method="addFlowLayoutItems">
                  <ur:inputField method="setControl"/>
                </ur:flowLayoutItem>
              </ur:flowLayout>
            </ur:tabStripItem>
            <ur:tabStripItem method="addItems" ur:caption="Partner" ur:index="3">
              <ur:button method="setContent" ur:design="EMPHASIZED" ur:text="New Partner"/>
            </ur:tabStripItem>
            <ur:tabStripItem method="addItems" ur:caption="Competitors" ur:enabled="false" ur:hasContentPadding="false" ur:index="4"/>
            <ur:tabStripItem method="addItems" ur:caption="Notes" ur:index="5">
              <ur:button method="setContent" ur:design="EMPHASIZED" ur:text="Organize Notes"/>
            </ur:tabStripItem>
            <ur:tabStripItem method="addItems" ur:caption="Attachments" ur:index="6">
              <ur:button method="setContent" ur:design="EMPHASIZED" ur:text="Add"/>
            </ur:tabStripItem>
            <ur:tabStripItem method="addItems" ur:caption="Values" ur:index="7">
              <ur:button method="setContent" ur:design="EMPHASIZED" ur:text="New"/>
            </ur:tabStripItem>
            <ur:tabStripItem method="addItems" ur:caption="Relationships" ur:index="8">
              <ur:button method="setContent" ur:design="EMPHASIZED" ur:text="Select Database"/>
            </ur:tabStripItem>
            <ur:tabStripItem method="addItems" ur:caption="Document Flow" ur:index="9">
              <ur:button method="setContent" ur:design="EMPHASIZED" ur:text="Add Document"/>
            </ur:tabStripItem>
          </ur:tabStrip>
        </ur:singleColumnLayoutCell>
      </ur:singleColumnLayout>
    </page:render>
    
<%@include file="/jsp/internal/end.jsp" %>