<%@page isErrorPage="false" errorPage="/jsp/internal/errorpage.jsp" %>
<%@taglib uri="/jsp/sap.ur.tld" prefix="page" %>
<%@include file="/jsp/internal/init.jsp" %>

<page:setResourceBundle name="previewtexts" />

<page:render>
      <ur:singleColumnLayout ur:id="scl1">
        <ur:singleColumnLayoutCell method="setCells" ur:id="scl1c1">
          <ur:textView method="setContent" ur:design="HEADER1" ur:text="MessageBar in Tray"/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="setCells" ur:id="scl1c2">
          <ur:textView method="setContent" ur:text="When used within a Tray, the MessageBar control is on top or on bottom of the Tray container."/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells" ur:id="scl1c3">
          <ur:horizontalDivider method="setContent" ur:ruleDisplay="NONE" ur:separationHeight="LARGE"/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells">
          <ur:textView method="setContent" ur:text="MessageBar in Tray on top"/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="setCells" ur:id="scl1c5">
          <ur:tray method="setContent" ur:design="FILL" ur:optionMenuId="menuOptions" ur:title="Edit User" ur:width="305px" ur:hasOptionMenu="false" ur:hasContentPadding="false">
            <ur:singleColumnLayout method="setContent" ur:width="100%">
              <ur:singleColumnLayoutCell method="addCells" ur:cellDesign="PADLESS">
                <ur:messageBar method="setContent" ur:type="ERROR" ur:text="Error occured"/>
              </ur:singleColumnLayoutCell>
              <ur:singleColumnLayoutCell method="addCells" ur:cellDesign="LRPAD">
                <ur:matrixLayout method="setContent">
                  <ur:matrixLayoutRow method="addRows">
                    <ur:matrixLayoutCell method="addCells">
                      <ur:label method="setContent" ur:labelFor="tfUsername" ur:text="User name"/>
                    </ur:matrixLayoutCell>
                    <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD" ur:width="100%">
                      <ur:inputField method="setContent" ur:id="tfUsername" ur:width="100%"/>
                    </ur:matrixLayoutCell>
                  </ur:matrixLayoutRow>
                  <ur:matrixLayoutRow method="addRows">
                    <ur:matrixLayoutCell method="addCells">
                      <ur:label method="setContent" ur:labelFor="tfPassword" ur:text="Password"/>
                    </ur:matrixLayoutCell>
                    <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD">
                      <ur:inputField method="setContent" ur:id="tfPassword" ur:width="100%"/>
                    </ur:matrixLayoutCell>
                  </ur:matrixLayoutRow>
                  <ur:matrixLayoutRow method="addRows">
                    <ur:matrixLayoutCell method="addCells">
                      <ur:label method="setContent" ur:labelFor="cbLang" ur:text="Language"/>
                    </ur:matrixLayoutCell>
                    <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD">
                      <ur:comboBox method="setContent" ur:id="cbLang" ur:itemCount="2" ur:itemListBoxId="ilbLang" ur:value="English" ur:width="100%"/>
                    </ur:matrixLayoutCell>
                    <ur:matrixLayoutCell method="addCells" ur:cellDesign="PADLESS">
                      <ur:itemListBox method="setContent" ur:id="ilbLang" ur:isPopup="true" ur:visibleItems="2">
                        <ur:itemListBoxItem method="addItems" ur:key="en" ur:value1="English"/>
                        <ur:itemListBoxItem method="addItems" ur:key="de" ur:value1="German"/>
                      </ur:itemListBox>
                    </ur:matrixLayoutCell>
                  </ur:matrixLayoutRow>
                  <ur:matrixLayoutRow method="addRows">
                    <ur:matrixLayoutCell method="addCells" ur:vAlign="TOP">
                      <ur:label method="setContent" ur:labelFor="tfDesc" ur:text="Description"/>
                    </ur:matrixLayoutCell>
                    <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD">
                      <ur:textEdit method="setContent" ur:id="tfDesc" ur:rows="3" ur:width="100%"/>
                    </ur:matrixLayoutCell>
                  </ur:matrixLayoutRow>
                  <ur:matrixLayoutRow method="addRows">
                    <ur:matrixLayoutCell method="addCells">
                      <ur:label method="setContent" ur:labelFor="chkCurrentlyOnline" ur:text="Currently online"/>
                    </ur:matrixLayoutCell>
                    <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD">
                      <ur:checkBox method="setContent" ur:id="chkCurrentlyOnline"/>
                    </ur:matrixLayoutCell>
                  </ur:matrixLayoutRow>
                  <ur:matrixLayoutRow method="addRows">
                    <ur:matrixLayoutCell method="addCells" ur:colSpan="2">
                      <ur:buttonRow method="setContent">
                        <ur:button method="addButtons" ur:text="Save"/>
                        <ur:button method="addButtons" ur:text="Cancel"/>
                      </ur:buttonRow>
                    </ur:matrixLayoutCell>
                  </ur:matrixLayoutRow>
                </ur:matrixLayout>
              </ur:singleColumnLayoutCell>
            </ur:singleColumnLayout>
          </ur:tray>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells" ur:id="scl1c3">
          <ur:horizontalDivider method="setContent" ur:ruleDisplay="NONE" ur:separationHeight="LARGE"/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="addCells">
          <ur:textView method="setContent" ur:text="MessageBar in Tray on bottom"/>
        </ur:singleColumnLayoutCell>
        <ur:singleColumnLayoutCell method="setCells" ur:id="scl1c5">
          <ur:tray method="setContent" ur:design="FILL" ur:hasContentPadding="false" ur:hasOptionMenu="false" ur:optionMenuId="menuOptions" ur:title="Edit User" ur:width="305px">
            <ur:singleColumnLayout method="setContent" ur:width="100%">
              <ur:singleColumnLayoutCell method="addCells" ur:cellDesign="LRPAD">
                <ur:matrixLayout method="setContent">
                  <ur:matrixLayoutRow method="addRows">
                    <ur:matrixLayoutCell method="addCells">
                      <ur:label method="setContent" ur:labelFor="tfUsername" ur:text="User name"/>
                    </ur:matrixLayoutCell>
                    <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD" ur:width="100%">
                      <ur:inputField method="setContent" ur:id="tfUsername" ur:width="100%"/>
                    </ur:matrixLayoutCell>
                  </ur:matrixLayoutRow>
                  <ur:matrixLayoutRow method="addRows">
                    <ur:matrixLayoutCell method="addCells">
                      <ur:label method="setContent" ur:labelFor="tfPassword" ur:text="Password"/>
                    </ur:matrixLayoutCell>
                    <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD">
                      <ur:inputField method="setContent" ur:id="tfPassword" ur:width="100%"/>
                    </ur:matrixLayoutCell>
                  </ur:matrixLayoutRow>
                  <ur:matrixLayoutRow method="addRows">
                    <ur:matrixLayoutCell method="addCells">
                      <ur:label method="setContent" ur:labelFor="cbLang" ur:text="Language"/>
                    </ur:matrixLayoutCell>
                    <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD">
                      <ur:comboBox method="setContent" ur:id="cbLang" ur:itemCount="2" ur:itemListBoxId="ilbLang" ur:value="English" ur:width="100%"/>
                    </ur:matrixLayoutCell>
                    <ur:matrixLayoutCell method="addCells" ur:cellDesign="PADLESS">
                      <ur:itemListBox method="setContent" ur:id="ilbLang" ur:isPopup="true" ur:visibleItems="2">
                        <ur:itemListBoxItem method="addItems" ur:key="en" ur:value1="English"/>
                        <ur:itemListBoxItem method="addItems" ur:key="de" ur:value1="German"/>
                      </ur:itemListBox>
                    </ur:matrixLayoutCell>
                  </ur:matrixLayoutRow>
                  <ur:matrixLayoutRow method="addRows">
                    <ur:matrixLayoutCell method="addCells" ur:vAlign="TOP">
                      <ur:label method="setContent" ur:labelFor="tfDesc" ur:text="Description"/>
                    </ur:matrixLayoutCell>
                    <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD">
                      <ur:textEdit method="setContent" ur:id="tfDesc" ur:rows="3" ur:width="100%"/>
                    </ur:matrixLayoutCell>
                  </ur:matrixLayoutRow>
                  <ur:matrixLayoutRow method="addRows">
                    <ur:matrixLayoutCell method="addCells">
                      <ur:label method="setContent" ur:labelFor="chkCurrentlyOnline" ur:text="Currently online"/>
                    </ur:matrixLayoutCell>
                    <ur:matrixLayoutCell method="addCells" ur:cellDesign="LRNOPAD">
                      <ur:checkBox method="setContent" ur:id="chkCurrentlyOnline"/>
                    </ur:matrixLayoutCell>
                  </ur:matrixLayoutRow>
                  <ur:matrixLayoutRow method="addRows">
                    <ur:matrixLayoutCell method="addCells" ur:colSpan="2">
                      <ur:buttonRow method="setContent">
                        <ur:button method="addButtons" ur:text="Save"/>
                        <ur:button method="addButtons" ur:text="Cancel"/>
                      </ur:buttonRow>
                    </ur:matrixLayoutCell>
                  </ur:matrixLayoutRow>
                </ur:matrixLayout>
              </ur:singleColumnLayoutCell>
              <ur:singleColumnLayoutCell method="addCells" ur:cellDesign="PADLESS">
                <ur:messageBar method="setContent" ur:text="Error occured" ur:type="ERROR" ur:rulerDisplay="TOP"/>
              </ur:singleColumnLayoutCell>
            </ur:singleColumnLayout>
          </ur:tray>
        </ur:singleColumnLayoutCell>
      </ur:singleColumnLayout>
    </page:render>

<%@include file="/jsp/internal/end.jsp" %>
